Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.stockquote
Class Persistence

    java.lang.Object
      org.eclipse.lyo.oslc4j.stockquote.Persistence

    public class Persistence

extends Object

Method Summary
`static void` | `addStockQuote(StockQuote stockQuote)`
`static StockQuote` | `deleteStockQuote(String identifier)`
`static StockQuote` | `getStockQuote(String identifier)`
`static StockQuote[]` | `getStockQuotes()`
`static boolean` | `load(String uriString)`
`static void` | `save(String uriString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### load

    public static boolean load(String uriString)
                        throws DatatypeConfigurationException,
                               FileNotFoundException,
                               IllegalAccessException,
                               IllegalArgumentException,
                               InstantiationException,
                               InvocationTargetException,
                               OslcCoreApplicationException,
                               URISyntaxException,
                               SecurityException,
                               NoSuchMethodException

  Throws:
    `DatatypeConfigurationException`
    `FileNotFoundException`
    `IllegalAccessException`
    `IllegalArgumentException`
    `InstantiationException`
    `InvocationTargetException`
    `OslcCoreApplicationException`
    `URISyntaxException`
    `SecurityException`
    `NoSuchMethodException`

### save

    public static void save(String uriString)
                     throws URISyntaxException,
                            OslcCoreApplicationException,
                            IllegalArgumentException,
                            DatatypeConfigurationException,
                            IllegalAccessException,
                            InvocationTargetException,
                            FileNotFoundException

  Throws:
    `URISyntaxException`
    `OslcCoreApplicationException`
    `IllegalArgumentException`
    `DatatypeConfigurationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `FileNotFoundException`

### getStockQuotes

    public static StockQuote[] getStockQuotes()

### getStockQuote

    public static StockQuote getStockQuote(String identifier)

### addStockQuote

    public static void addStockQuote(StockQuote stockQuote)

### deleteStockQuote

    public static StockQuote deleteStockQuote(String identifier)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.